Bug 564975

Summary: FTBFS empathy-2.29.90-1.fc13: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: empathyAssignee: Brian Pepple <bdpepple>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: bdpepple, hiemanshu, metherid
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: empathy-2.29.91.2-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-14 09:41:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 564245    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log
none
empathy FTBFS patch none

Description FTBFS 2010-02-13 12:29:34 EST
empathy-2.29.90-1.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:29:39 EST
Created attachment 392795 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:29:40 EST
Created attachment 392796 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:29:41 EST
Created attachment 392797 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:29:46 EST
Created attachment 392798 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:29:48 EST
Created attachment 392799 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:29:49 EST
Created attachment 392800 [details]
mock.log

mock.log for x86_64
Comment 7 Hiemanshu Sharma 2010-02-19 06:44:20 EST
Created attachment 395080 [details]
empathy FTBFS patch

Fixing the libm linkage blocker.
Comment 8 Fedora Update System 2010-02-19 10:46:39 EST
empathy-2.29.90-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/empathy-2.29.90-2.fc13
Comment 9 Fedora Update System 2010-02-19 22:49:21 EST
empathy-2.29.90-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update empathy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-1719
Comment 10 Fedora Update System 2010-03-07 15:04:20 EST
empathy-2.29.91.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/empathy-2.29.91.2-1.fc13
Comment 11 Fedora Update System 2010-03-08 22:23:16 EST
empathy-2.29.91.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update empathy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/empathy-2.29.91.2-1.fc13
Comment 12 Fedora Update System 2010-03-14 09:41:42 EDT
empathy-2.29.91.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.